/*
  Debounce

  Demonstriert Tastenprellen
*/

// == インクルード 必要ファイルの読み込み ==
#include <FtduinoSimple.h>


void setup() {
  Serial.begin(9600);// シリアル通信
  while (!Serial);
  Serial.println("ftDuinoキーバウンスの例"); // シリアルモニタへ出力
}

uint8_t letzter_zustand = false;
uint8_t wechselzaehler = 0;

void loop() {
  uint8_t zustand = ftduino.input_get(Ftduino::I1);  //I1 の値を読み取り

  if (zustand != letzter_zustand) {       // 状態が違うならば
    wechselzaehler = wechselzaehler + 1;   // カウントを増やす

    //  シリアルモニタへ出力
    Serial.print("I1 ");                   
    Serial.print(wechselzaehler);
    Serial.println("-- 変化しました。-- ");
    letzter_zustand = zustand;  // 新しい状態を格納    
  }
}
